%undefine __libtoolize

Name: pcsc-lite
Version: 1.1.1
Release: alt4

Group: System/Servers
Summary: Muscle PCSC Framework for Linux
Copyright: BSD
URL: http://www.linuxnet.com

Source0: pcsc-lite-1.1.1.tar.gz
Source1: pcscd.startup

Requires: libpcsclite = %version-%release

# Automatically added by buildreq on Mon Sep 29 2003
BuildRequires: flex glibc-devel-static

%description
pcscd is the daemon program for PC/SC Lite. It is a resource 
manager that coorinates communications with Smart Card readers and Smart 
Cards that are connected to the system.
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a 
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R)

This package contains daemon program for PC/SC Lite

%package -n libpcsclite
Group: System/Libraries
Summary: Libraries for pcscd
#
%description -n libpcsclite
Libraries for pcscd. pcscd is the daemon program
for PC/SC Lite. It is a resource manager that coorinates
communications with Smart Card readers and Smart Cards
that are connected to the system. The purpose of PCSC Lite
is to provide a Windows(R) SCard interface in a very small
form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R)

%package -n libpcsclite-devel
Group: Development/C
Summary: Haeders and other development files for libpcsclite
Requires: libpcsclite = %version-%release
#
%description -n libpcsclite-devel
Haeders and other development files for libpcsclite

%package -n libpcsclite-devel-static
Group: Development/C
Summary: Static libraries for libpcsclite
Requires: libpcsclite-devel = %version-%release
#
%description -n libpcsclite-devel-static
Static libraries for libpcsclite

%prep
%setup -q

%build

%configure \
    --enable-confdir=%_sysconfdir \
    --enable-runpid=/var/run/pcscd.pid \
    --enable-usb \
    --enable-threadsafe

%make_build LDFLAGS="-ldl -lpthread"

%install
%make DESTDIR=%buildroot install
mkdir -p %buildroot/%_sysconfdir/rc.d/init.d/
install -m 755 %SOURCE1 %buildroot/%_sysconfdir/rc.d/init.d/pcscd
mkdir -p %buildroot/%_sysconfdir/pcsc
install -m 644 etc/reader.conf %buildroot/%_sysconfdir/pcsc
mkdir -p %buildroot/%_docdir/%name-%version
[ -d %buildroot/%prefix/doc ] && mv %buildroot/%prefix/doc/* %buildroot/%_docdir/%name-%version

%files
%_sbindir/pcscd
%_bindir/bundleTool
%_bindir/formaticc
%_bindir/installifd
%config(noreplace) %_sysconfdir/reader.conf
%_sysconfdir/rc.d/init.d/pcscd
%doc %_mandir/*/*
%doc %dir %_docdir/%name-%version
%doc %_docdir/%name-%version/pcsc-lite*

%files -n libpcsclite
%_libdir/libpcsclite.so.*

%files -n libpcsclite-devel
%_libdir/libpcsclite.so
#%_libdir/libpcsclite.la
%_includedir/*.h
%doc %_docdir/%name-%version/muscle-api*

%files -n libpcsclite-devel-static
%_libdir/libpcsclite.a



%changelog
* Mon Dec 01 2003 Sergey V Turchin <zerg at altlinux dot org> 1.1.1-alt4
- remove *.la

* Mon Sep 29 2003 Sergey V Turchin <zerg at altlinux dot org> 1.1.1-alt3
- move config to %_sysconfdir
- fix build requires
- WITHOUT_RC_COMPAT=1 in initscript

* Thu Oct 24 2002 Sergey V Turchin <zerg@altlinux.ru> 1.1.1-alt2
- fix requires

* Tue Oct 22 2002 Sergey V Turchin <zerg@altlinux.ru> 1.1.1-alt1
- initial spec

